# DataGridViewColumnEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle column-related events of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void DataGridViewColumnEventHandler(Object sender, DataGridViewColumnEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub DataGridViewColumnEventHandler(ByVal sender As [Object], ByVal e As DataGridViewColumnEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                                | Description                                                                                                                                         |
| ---------- | ------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                       | The source of the event.                                                                                                                            |
| **e**      | [DataGridViewColumnEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumneventargs.md) | A [DataGridViewColumnEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumneventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                               | Description                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.ColumnAdded](/api/wisej.web/lists-and-grids/datagridview.md#columnadded)                             | Fired when a column is added to the control.                                                                                                                        |
| [DataGridView.ColumnFillWeightChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnfillweightchanged)     | Fired when the [FillWeight](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#fillweight) property changes.                               |
| [DataGridView.ColumnMaximumWidthChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnmaximumwidthchanged) | Fired when the value of the [MaximumWidth](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#maximumwidth) property for a column changes. |
| [DataGridView.ColumnMinimumWidthChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnminimumwidthchanged) | Fired when the value of the [MinimumWidth](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#minimumwidth) property for a column changes. |
| [DataGridView.ColumnNameChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnnamechanged)                 | Fired when the [Name](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#name) property changes.                                           |
| [DataGridView.ColumnRemoved](/api/wisej.web/lists-and-grids/datagridview.md#columnremoved)                         | Fired when a column is removed from the control.                                                                                                                    |
| [DataGridView.ColumnSortModeChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnsortmodechanged)         | Fired when the value of the [SortMode](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#sortmode) property changes.                      |
| [DataGridView.ColumnWidthChanged](/api/wisej.web/lists-and-grids/datagridview.md#columnwidthchanged)               | Fired when the value of the [Width](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#width) property for a column changes.               |
| [DataGridView.ColumnDisplayIndexChanged](/api/wisej.web/lists-and-grids/datagridview.md#columndisplayindexchanged) | Fired when the value the [DisplayIndex](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md#displayindex) property for a column changes.    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumneventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
